
User Interface - Bug #3142

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

the mouse "hotspot" in the web client is in an unexpected location

07/06/2016 05:46 PM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Sergey Ivanovskiy % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stabilization for GUI   

billable: No case_num:  
Description

History

#1 - 07/06/2016 05:49 PM - Greg Shah

In the web client (using Firefox) I can see that the location of the cursor hotspot seems to be too low.  This becomes easy to see when using

something like a combo-box where there are different items in rows to choose from.  The "pointy" tip of the default mouse cursor is NOT the location

of the hotspot, but that is the location that the user would EXPECT to be the hotspot.  Instead, the hotspot seems to be lower the tip of the cursor,

such that sometimes the user "accidentally" picks an item below the item they think they are selecting.

#2 - 07/14/2016 03:44 AM - Sergey Ivanovskiy

If we are selecting an entry with the mouse pointer from the "<customer> GUI Simple Test Harness" window , then the currently selected item is

highlighted. The mouse default pointer locates the currently selected item. If we click, then the highlighted item will be selected. The sharp arrow is

located within the highlight box if the mouse is moved down through the items list, but if we move the mouse pointer up through this list, then there are

cases in which the sharp pointer is out the highlighted box approximately 2 pixels and then the highlighted box is switched to its new position. Greg,

did you describe this behavior?

#3 - 07/14/2016 12:53 PM - Greg Shah

I don't think I am describing the same thing.  Actually, I don't understand the problem you are describing.

The "mouse hotspot" is the X and Y coordinate that is generated for a mouse event.  The hotspot is part of the cursor definition itself.  Generally,

when the cursor is shaped like an arrow, the tip of the arrow corresponds to the hotspot.  This is the natural expectation for the user that when they

click the mouse button, the pixel underneath the pointed tip of the arrow cursor is what receives the click event.

When the user clicks the mouse on items in a combo-box or selection list, this is a moment when the user can detect a difference in where the

hotspot is, because if you position the tip of the arrow in one item and a little more than the bottom half of the arrow in the next item below (with a

greater Y value) it, you can get a situation where the item with the greater Y value gets unexpectedly selected.

Can you see this behavior?

Also, please note that Stanislav is working on #2893 which may be the same problem.
https://proj.goldencode.com/issues/2893


#4 - 07/14/2016 01:35 PM - Sergey Ivanovskiy

No, I didn't see this behavior. For the combo box I can observe only that its drop down detects the selected item incorrectly if a mouse click occurs

approximately 1 pixel above the currently selected item. If I move the mouse pointer upper, then the selected item is changed and click events is

detected correctly. I mean that in this case the selected item is exactly a user's target. Can this be postponed if it is similar to #2893 and is related to

the common issue?

#5 - 07/20/2016 11:08 AM - Greg Shah

- Status changed from New to Closed

- % Done changed from 0 to 100

The fix for this issue is the same fix for #2893.  That change went into the trunk with revision 11072.

#6 - 11/16/2016 12:22 PM - Greg Shah

- Target version changed from Milestone 16 to Cleanup and Stabilization for GUI
